# List all order captures List all order captures Endpoint: GET /ordermanagement/v1/orders/{order_id}/captures Version: 1.0.0 ## Path parameters: - `order_id` (string, required) Order id ## Response 200 fields (application/json): - `billing_address` (object) Shipping address for the capture. - `billing_address.attention` (string) 'Attn.' - optional parameter. Example: "Anders Exempelsson" - `billing_address.city` (string) City. Example: "Vetlanda" - `billing_address.country` (string) Country. ISO 3166 alpha-2. Example: "se" - `billing_address.email` (string) E-mail address. Example: "john.testsson@kustom.co" - `billing_address.family_name` (string) Family name. Example: "Testsson" - `billing_address.given_name` (string) Given name. Example: "John" - `billing_address.organization_name` (string) Organization name (if applicable). Only applicable for B2B customers. Example: "Kustom" - `billing_address.phone` (string) Phone number. Example: "1-555-555-5555" - `billing_address.postal_code` (string) Postcode. Validation according to [Universal Postal Union addressing system](https://www.upu.int/en/activities/addressing/postal-addressing-systems-in-member-countries.html). Example: 12345 - `billing_address.region` (string) State/Region. Required for US. Example: "TN" - `billing_address.street_address` (string) First line of street address. Validation according to [Universal Postal Union addressing system](https://www.upu.int/en/activities/addressing/postal-addressing-systems-in-member-countries.html) Example: "Testgatan 10" - `billing_address.street_address2` (string) Second line of street address. Example: 1 - `billing_address.title` (string) Title. Example: "Herr" - `capture_id` (string) The capture id. Generated when the capture is created. Example: "4ba29b50-be7b-44f5-a492-113e6a865e22" - `captured_amount` (integer) The captured amount in minor units. - `captured_at` (string) The time of the capture. Specified in ISO 8601. Example: "2025-11-19T01:51:17Z" - `description` (string) Description of the capture shown to the customer. Example: "Order has been shipped" - `klarna_reference` (string) Customer friendly reference id, used as a reference when communicating with the customer. Example: "K4MADNY-1" - `order_lines` (array) List of order lines for the capture shown to the customer. - `order_lines.image_url` (string) URL to an image that can be embedded in communications between Klarna and the customer. Example: "https://yourstore.example/product/headphones.png" - `order_lines.merchant_data` (string) Data about the order line. Example: "Some metadata" - `order_lines.name` (string, required) Descriptive item name. - `order_lines.product_identifiers` (object) product_identifiers - `order_lines.product_identifiers.brand` (string) The product's brand name as generally recognized by consumers. If no brand is available for a product, do not supply any value. Maximum 70 characters. Example: Intel Example: "Intel" - `order_lines.product_identifiers.category_path` (string) The product's category path as used in the merchant's webshop. Include the full and most detailed category and separate the segments with ' > '. Maximum 750 characters. Example: Electronics Store > Computers & Tablets > Desktops Example: "Electronics Store > Computers & Tablets > Desktops" - `order_lines.product_identifiers.color` (string) Color to be shown to the end customer (max 64 characters). Example: Denim blue Example: "Denim blue" - `order_lines.product_identifiers.global_trade_item_number` (string) The product's Global Trade Item Number (GTIN). Common types of GTIN are EAN, ISBN or UPC. Exclude dashes and spaces, where possible. Maximum 50 characters. Example: 735858293167 Example: 735858293167 - `order_lines.product_identifiers.manufacturer_part_number` (string) The product's Manufacturer Part Number (MPN), which - together with the brand - uniquely identifies a product. Only submit MPNs assigned by a manufacturer and use the most specific MPN possible. Maximum 70 characters. Example: BOXNUC5CPYH Example: "BOXNUC5CPYH" - `order_lines.product_identifiers.size` (string) Size to be shown to the end customer (max 64 characters). Example: 4 Example: 4 - `order_lines.product_url` (string) URL to the product that can be used in communications between Klarna and the customer. Example: "https://yourstore.example/product/headphones" - `order_lines.quantity` (integer, required) Item quantity. Example: 1 - `order_lines.quantity_unit` (string) Unit used to describe the quantity. Example: "pcs." - `order_lines.reference` (string) Article number, SKU, or similar identifier on the product variant level. Example: 75001 - `order_lines.tax_rate` (integer) The tax rate in percent with two implicit decimals. - `order_lines.total_amount` (integer, required) Total amount including tax and discounts (quantity * unit_price - total_discount_amount). - `order_lines.total_discount_amount` (integer) The discount amount in minor units. Includes tax. Example: 1200 = $12. Max value: 200000000 - `order_lines.total_tax_amount` (integer) The total tax amount in minor units. - `order_lines.type` (string) Order line type. Enum: "physical", "discount", "shipping_fee", "sales_tax", "store_credit", "gift_card", "digital", "surcharge", "return_fee", "package" - `order_lines.unit_price` (integer, required) Unit price including tax without applying discounts in minor units. - `reference` (string) Internal reference to the capture which will be included in the settlement files. Max length is 255 characters. - `refunded_amount` (integer) Refunded amount for this capture in minor units. - `shipping_address` (object) Shipping address for the capture. - `shipping_info` (array) Shipping information for this capture. - `shipping_info.return_shipping_company` (string) Name of the shipping company for the return shipment (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL' Example: "DHL SE" - `shipping_info.return_tracking_number` (string) Tracking number for the return shipment. Maximum 100 characters. Example: 93456415674545680000 - `shipping_info.return_tracking_uri` (string) URL where the customer can track the return shipment. Maximum 1024 characters. Example: "http://shipping.example/findmypackage?93456415674545679888" - `shipping_info.shipping_company` (string) Name of the shipping company (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL' Example: "DHL SE" - `shipping_info.shipping_method` (string) Shipping method. Allowed values matches (PickUpStore|Home|BoxReg|BoxUnreg|PickUpPoint|Own|Postal|DHLPackstation|Digital|Undefined|PickUpWarehouse|ClickCollect|PalletDelivery) Example: "Home" - `shipping_info.tracking_number` (string) Tracking number for the shipment. Maximum 100 characters. Example: 63456415674545680000 - `shipping_info.tracking_uri` (string) URI where the customer can track their shipment. Maximum 1024 characters. Example: "http://shipping.example/findmypackage?63456415674545679874" ## Response 404 fields (application/json): - `correlation_id` (string) Correlation id. For searching logs. Example: "66782175-ae05-44fc-9eb3-eeceadbad271" - `error_code` (string) Error code Example: "NO_SUCH_ORDER" - `error_messages` (array) Error messages